<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hotent.project.dao.CostProjectDocumentFileDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hotent.project.model.CostProjectDocumentFile">
        <id column="id" property="id" />
    <result column="project_id" property="projectId" />
	<result column="original_text" property="originalText" />
	<result column="pinyin" property="pinyin" />
	<result column="document_id" property="documentId" />
	<result column="label_value" property="labelValue" />
	<result column="table_name" property="tableName" />
	<result column="col_name" property="colName" />
	<result column="data_value" property="dataValue" />
	<result column="where_name" property="whereName" />
	<result column="where_value" property="whereValue" />
	<result column="status" property="status" />
    <result column="is_deleted" property="isDeleted" />
    <result column="create_time" property="createTime" />
    <result column="create_by" property="createBy" />
    <result column="update_time" property="updateTime" />
    <result column="update_by" property="updateBy" />
    <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
		id, project_id, original_text, pinyin, document_id, label_value,data_value,where_value, `table_name`, col_name, where_name, status, is_deleted, create_time, create_by, update_time, update_by, remark
    </sql>

	<select id="selectPage" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_document_file
		${ew.customSqlSegment}
	</select>
	
	<select id="selectList" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_document_file
		${ew.customSqlSegment}
	</select>
	
	<select id="selectById" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_document_file
		where 
		    id = ${id}
	</select>
</mapper>
